%global realname basho_metrics
%global upstream basho
%global git_tag 4ed4c0e
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	1.0.0
Release:	2%{?dist}
Summary:	Fast performance metrics for Erlang
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/basho_metrics
# wget --no-check-certificate --content-disposition https://github.com/basho/basho_metrics/tarball/1.0.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
BuildRequires:	boost-devel
# Error:erlang(erlang:load_nif/2) in R12B and below
# Error:erlang(erlang:nif_error/1) in R13B and below
Requires:	erlang-erts >= R14B
Requires:	erlang-kernel
Requires:	erlang-stdlib


%description
An open source Erlang library for efficient calculation of service performance
metrics.


%prep
%setup -q -n %{upstream}-%{realname}-934ebb6
rm -rf c_src/boost


%build
rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}_nifs.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v


%files
%doc LICENSE README.org
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_nifs.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Thu Jun 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-2
- Added comment regarding source tarball retrieval
- Filtered out *.so provides
- Removed bundled boost headers and build against boost-devel
- Dropped obsoleted defattr() directive

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0
